require("../css/qcScore.less");
const $ = require('jquery');
require('jquery-templates');
const {api,post,getUrlArgObject} = require('./utils.js');

$(function(){
  getSubMenu();
  initScoreItem();
  getRecordDetail();

  let global_flawData = {};    //缺陷数据
function initMenu(data){
  //菜单数据填充
  $("#subMenuTmpl").tmpl(data).appendTo("#subMenu");
  //菜单收起展开
  $(".list-1").on("click",function(){
    $(".list-1 .slide-up").removeClass('slide-up');
    $(this).toggleClass('slide-up');
    $(this).find("ul").slideToggle();
  });
  $(".list-1 li").on("click",function(e){
    e.stopPropagation();
  });
  //右侧内容切换
  $(".page").on("click",function(){
    //选中样式
    $(".sub-menu .active").removeClass('active');
    $(this).addClass("active");
    //显示对应内容
    const code=$(this).attr("code");
    $(".content-item,.flaw-item").hide();
    $(".content-item[code="+code+"],.flaw-item[code="+code+"]").show();
  });
}

function getSubMenu(){
  post(api.getSubMenu).then(function(res){
    if(res.data.code==='0'){
      const data = res.data.data;
      initMenu(data);
      $(".sub-menu li:first-child.page").addClass("active");
    }
  });
};

//获取病例明细
function getRecordDetail(){
  const id=getUrlArgObject("id");
  post(api.getRecordDetail,{'behospitalCode':id}).then(function(res){
    if(res.data.code==='0'){
      const data = res.data.data;
      const {beHospital,result,msg} = data;
      const info=Object.assign(beHospital,result);
      const activeTab=$(".sub-menu .page.active").attr("code");
      initPatientInfo(info);
      initContent(result.pageData,activeTab);
      initScoreItem(msg);
      global_flawData=msg;
    }
  });
}

//填充患者信息
function initPatientInfo(data){
  $("#infoTmpl").tmpl(data).appendTo("#patientInfo");
}
//显示病例模块明细
function initContent(data){
  const obj = JSON.parse(data);
  for(let k in obj){
    $("#contentTmpl").tmpl({title:k,info:obj[k]}).appendTo("#contentInfo");
  }
  console.log(obj)
}

//评分项数据填充
function initScoreItem(data){
  //$("#flawTmpl").tmpl(data).appendTo("#flaws");
  for(let k in data){
    $("#flawTmpl").tmpl(data[k]).appendTo("#flaws .flaw-box");
  }

  $(".flaw-item .oper a").click(function () {
    const activeTab=$(".sub-menu .page.active").attr("code");
    const i = $(".flaw-item[code="+activeTab+"]").index($(this).parents(".flaw-item"));
    const code=$(this).attr("code");
    const isEdit = $(this).is(".edit-flaw");
    showModal(isEdit?'0':'1',code,i);
  })
}
//删除评分项
function delScore(id){
  post(api.delScore,{'id':id}).then(function(res){
    if(res.data.code==='0'){
      const data = res.data.data;

    }
  });
}
//修改评分项
function editScore(){
  const param={};
  post(api.editScore,param).then(function(res){
    if(res.data.code==='0'){
      const data = res.data.data;

    }
  });
}

function showModal(flag,code,i){
  $("#delModal .modal-body").html("");
  $("#delModal").show();
  $("#delModal .confirm").off("click");
  const activeTab=$(".sub-menu .page.active").attr("code");
  if(flag==='0'){   //修改
    const info = global_flawData[activeTab][i];
    $("#delModal .title").text("修改评分");
    $("#editTmpl").tmpl(info).appendTo("#delModal .modal-body");
    $("#delModal .confirm").click(function(){
      editScore(code);
    });
  }else{
    $("#delModal .title").text("删除评分");
    $("#delModal .modal-body").html('<p>确定要删除该评分记录吗？</p>');
    $("#delModal .confirm").click(function(){
      delScore(code);
    });
  }
}
});